<?php
//FORMATO DEL BOLETIN GENERAL PARA ANTONIO NARIÑO - ORITO
$academia->instruccion("SELECT ide_adtivo, LCASE(CONCAT_WS(' ', no1_adtivo, no2_adtivo,ape1_adtivo, ape2_adtivo)) nom_ape FROM adm_administrativos WHERE cod_cargo=1 or cod_cargo=2 order by cod_cargo");
$regFirmantes = $academia->fetchAll();
$nom_rector = $regFirmantes[0]['nom_ape'];
$nom_cordin = $regFirmantes[1]['nom_ape'];

$sql = "call SP_BOLETINES_INDIVIDUAL_GENERICO('$cod_estudiantes',$grupo,$periodon,'$iduser')";

$academia->instruccion($sql);
echo '<div style="display:none">' . $sql . '</div>';
unset($sql);
$row = $academia->extraer_registro();
$dtsColegio = $sesion->get('info_colegio');
$encabezado = $dtsColegio['enca_boletin'];
$observa = "";
$mayus_nom = $sesion->getVar('configuracion.format_nom');
$mayus_mat = $sesion->getVar('configuracion.format_mat');
do {
    $observa = "";
    #echo "<br><br><br>";
    echo '<div id="pageBoletin">';
    #echo "<br><br><br>";
    echo $encabezado;
    $notest = str_replace("\n", "<br>", $row['notas']);
    $notest = str_replace("\t", " ", $notest);
    $notest = parseString($notest);
    $notest = json_decode($notest, true);

    $infcom = json_decode($row['comportamiento'], true);
    $cod_est = $notest['cd_est'];
    $msgPbar = "id-" . $notest[dc_est] . "-pto-" . $notest[pto_gru];
    $msgPbar.="-grado-" . $grado . "-per-" . $periodon . '-val-si-anio' . $sesion->get('anio');
    $dtsObserva = json_decode($row['observaciones'], true);
    $prom_periodo_num = $notest['prom_periodo'];
    $prom_periodo_let = $notest['prom_peri_letra'];
    $pto_grupo = $notest['pto_gru'];
    ?>
    <link href="../css/formato_boletin_<?php echo $frm_bol_gral ?>.css" rel="stylesheet" type="text/css">

    <div style="font-size: 9pt">
        <b>NOMBRES Y APELLIDOS: </b> <?php echo formatoPalabras($notest['no_est'], $mayus_nom); ?><br>
        <b>GRADO:</b> <?php echo $grado; ?>&nbsp;&nbsp;&nbsp;    
        <b>PERÍODO:</b> <?php echo $periodo; ?>&nbsp;&nbsp;&nbsp;    
        <b>AÑO:</b> <?php echo $sesion->get('anio') ?>&nbsp;&nbsp;&nbsp;    
        <b>SEDE:</b> <?php echo $sede; ?>&nbsp;&nbsp;&nbsp;    
        <b>JORNADA:</b> <?php echo $jornada; ?>    
    </div>


    <?php
    $materias = $notest['materias'];
    $numPeriodos = count($materias[0]['historicos']);
    $bandera = $periodon == $numPeriodos ? true : false;
    ?>
    <div style="font-family: Calibri; font-size: 8pt">
        <table width="100%" cellspacing="1" class='boletin' >
            <tr style="background-color: rgb(31,73,125); color: white; font-weight: bold">
                <td rowspan="2">No.</td>
                <td rowspan="2" align="center">ÁREAS OBLIGATORIAS, FUNDAMENTALES Y OPTATIVAS</td>
                <td rowspan="2">ASIGNATURA</td>
                <td rowspan="2">IHS</td>           
                <?php
                for ($i = 1; $i <= $numPeriodos; $i++) {
                    echo '<td width="5%" rowspan="2" align="center" valign="middle" class="spancabecera">NOTA P' . $i . '</td>';
                }
                ?>

                <td rowspan="2" align="center"><div class="spancabecera">NOTA FINAL</div></td>
                <td rowspan="2" align="center"><div class="spancabecera">ESCALA NACIONAL</div></td>
                <td colspan="3" align="center"><div class="spancabecera">FALTAS DE INASISTENCIA</div></td>

            </tr>
            <tr style="background-color: rgb(31,73,125); color: white; font-weight: bold">
                <td align="center" class="spancabecera">F.J</td>
                <td align="center" class="spancabecera">F.S.J</td>
                <td align="center" class="spancabecera">Total</td>
            </tr>

            <?php
            $materias = $notest['materias'];
            $cdant = -1;
            $contNmat = 1;
            foreach ($materias as $rmat):
                $historicos = $rmat['historicos'];
                /* print_r($rmat);
                  exit; */
                $pierdey = $rmat['pierde'];
                if ($cdant != $rmat['cd_area']) {
                    #echo '<tr><td colspan="12" style="height:2px !important; border:0px"></td></tr>';
                }
                ?>
                <tr>
                    <td rowspan="2" align="center" ><?php echo $contNmat++ ?></td>

                    <?php if ($cdant != $rmat['cd_area'] && $rmat['cant_asig'] > 1): ?>
                        <td width="14%" rowspan="<?php echo $rmat['cant_asig'] * 2 ?>" align="center" valign="middle"><?php echo formatoPalabras($rmat['no_area'], $mayus_mat); ?></td>
                    <?php endif; ?> 

                    <td width="<?php echo ($rmat['cant_asig'] == 1) ? '14%' : '28%' ?>"  colspan="<?php echo ($rmat['cant_asig'] == 1) ? 2 : 1 ?>"><b><?php echo formatoPalabras($rmat['no_asi'], $mayus_mat); ?></b></td>
                    <td align="center"><?php echo $rmat['ihs'] ?></td>  

                    <?php
                    $sum = 0;
                    for ($ix = 0; $ix < $numPeriodos; $ix++) {
                        $notah = empty($historicos[$ix]) ? '' : numberFormat($historicos[$ix], 1, '.', '');
                        $sum+=$notah;
                        echo '<td class="bordes_arriba" align="center">';
                        echo $notah <= $pierdey ? ('<b>' . $notah . '</b>') : $notah;
                        echo '</td>';
                    }
                    $prmSum = $sum / $numPeriodos;
                    $prmSum = empty($prmSum) ? '0.0' : $prmSum;

                    $totalFaltas = (int) $rmat['fj'] + (int) $rmat['fi']
                    ?> 

                    <td align="center"><?php echo $prmSum ?></td> 

                    <td width="5%"  align="center" valign="middle"><?php echo ucfirst($rmat['nl']); ?></td>

                    <td width="5%"  align="center" valign="middle"><?php echo $rmat['fj']; ?></td>
                    <td width="5%"  align="center" valign="middle"><?php echo $rmat['fi']; ?></td>
                    <td align="center"><?php echo $totalFaltas; ?></td>

                </tr>
                <tr> 
                    <td colspan="12" class="v-align-top" style="min-height: 25px; height: 25px">
                        <b>Conceptos:</b> 
                        <?php
                        if (!empty($rmat['obs_asi']) && strlen($rmat['obs_asi']) > 5) {
                            echo $rmat['obs_asi'];
                        } else {
                            echo '<br><br>';
                        }
                        ?>

                    </td>
                </tr> 
                <?php
                $cdant = $rmat['cd_area'];
            endforeach;
            ?>
        </table>
        <?php
        $dtsObserva = str_replace("\n", "<br/>", $row['observaciones']);
        $dtsObserva = str_replace("\t", "  ", $dtsObserva);
        $dtsObserva = parseString($dtsObserva);
        $dtsObserva = json_decode($dtsObserva, true);
        $observa = $dtsObserva['obsobserva'];
        $notaComporta = numberFormat($dtsObserva['notaobserva'], 1); //nota numeros
        ?>
        <table width="100%" align="center" class="info">
            <tr>
                <td><b>PROMEDIO DE NOTAS</b></td><TD width="10%"><?php echo numberFormat($prom_periodo_num, 1); ?></TD>
                <td><b>ESCALA DE VALORACIÓN</b></td><TD width="15%"><?php echo $prom_periodo_let; ?></TD>
                <td><b>PUESTO EN EL GRADO</b></td><TD width="10%"><?php echo $pto_grupo ?></TD>            
            </tr>
        </table>  
        <div class="separador"></div>
        <?php
        $dtsObserva = str_replace("\n", "<br/>", $row['observaciones']);
        $dtsObserva = str_replace("\t", "  ", $dtsObserva);
        $dtsObserva = parseString($dtsObserva);
        #echo $dtsObserva.'<br>';
        $dtsObserva = json_decode($dtsObserva, true);
        $observa = $dtsObserva['obsobserva'];
        #echo $observa;
        #print_r($dtsObserva);
        $notaComporta = numberFormat($dtsObserva['notaobserva'], 1); //nota numeros
        $notaComporta = ($notaComporta <= 0 || empty($notaComporta)) ? "___" : $notaComporta;
        echo "<br/><div class='boletin'><strong>NOTA COMPORTAMIENTO:&nbsp;&nbsp;</strong>" . $notaComporta . " &nbsp;&nbsp;<br><strong>OBSERVACIONES:</strong></div>";
        if (!empty($observa)) {
            echo '<table width="100%" align="center" class="observa">' . $observa . "</table>";
        } else {
            echo '<table width="100%" align="center" class="observa"><tr><td>&nbsp;</td></tr><tr><td>&nbsp;</td></tr><tr><td>&nbsp;</td></tr></table>';
        }
        ?>
        <br>
        <b>ESCALA DE VALORACIÓN INSTITUCIONAL</b><br>	 	 
        1,0 a 2,9: BAJO(Bb)  No alcanza el nivel mínimo de desempeño<br>
        3,0 a 3,9: BÁSICO(B)  Alcanza con dificultad el nivel básico de desempeño<br>
        4,0 a 4,5: ALTO(A)  Alcanza sin dificultades los desempeños propuestos<br>
        4,6 a 5,0: SUPERIOR(S)  Supera las expectativas de los desempeños<br>

        <br><br>

        <table width="100%" border="0" cellspacing="0" cellpadding="0" style="margin-bottom:2px; font-size: 9pt;  font-family: Arial, Helvetica, sans-serif;  vertical-align:top;">
            <tr align="center">
                <td class="v-align-top">_________________________________<br>
                    <?php echo strtoupper($director) ?><br>
                    Director de Grupo</td>
                <td class="v-align-top">_________________________________<br>
                    VoB Rector
                    <?php #echo strtoupper($nom_cordin) ."<br> Cordinador Académico"    ?>
                </td>
            </tr>
        </table>

        <table id="foot" width="100%" cellpadding="0" cellspacing="0">
            <tr>
                <td width="6%" rowspan="2" align="center" valign="middle">&nbsp;</td>
                <td align="center" valign="middle"><?php echo $sesion->getVar('info_colegio.pie_boletin') ?></td>
                <td width="6%" rowspan="2" align="right"><?php
                    // user data
                    $PNG_TEMP_DIR = dirname(__FILE__) . DIRECTORY_SEPARATOR . 'temp' . DIRECTORY_SEPARATOR;
                    $PNG_WEB_DIR = 'temp/';
                    //ofcourse we need rights to create temp dir
                    if (!file_exists($PNG_TEMP_DIR))
                        mkdir($PNG_TEMP_DIR);

                    $errorCorrectionLevel = 'L';
                    $matrixPointSize = 1;
                    //echo $msgPbar;
                    $filename = $PNG_TEMP_DIR . 'Boletin' . $cod_est . '_' . $sesion->get('academia_succes') . "-" . md5($errorCorrectionLevel . '|' . $matrixPointSize . '') . '.png';
                    QRcode::png($msgPbar, $filename, $errorCorrectionLevel, $matrixPointSize, 2);
                    echo '<img src="' . $PNG_WEB_DIR . basename($filename) . '" class="codbar" />';
                    ?></td>
            </tr>
            <tr>
                <td align="center"><span class="copy"><?php echo $dtsLang['project']['nom_soft'] . ' ' . $dtsLang['project']['ver_soft'] . ' ' . $dtsLang['project']['footertext'] . " " . $dtsLang['project']['anio_ini'] . ' - ' . date('Y') ?></span></td>
            </tr>
        </table>
        </div>
<?php
            echo "</div>"; //cirra la pagina
        }while ($row = $academia->extraer_registro());
        $academia->liberar();